Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-12628

Downgrade MicroProfile Health to 2.0.1

    Details

    • Type: Component Upgrade
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 18.0.0.Final
    • Component/s: MP Health
    • Labels:
      None

      Description

      MP Health was upgraded to 2.1 in WFLY-12555 at the same time that smallrye-health was upgrade to 2.0.0 in WFLY-12554

      That was a mistake as smallrye-health is depending on MP Health 2.0.1.

      There is no harm on staying on MP Health 2.1 as the API changes are internal to the API and do not require any implementation from the provider:

      https://github.com/eclipse/microprofile-health/compare/2.0.1...2.1

      However, if we decide to keep WildFly 18 under the same MP Umbrella release (3.0) at the moment, it might be better to downgrade to 2.0.1

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  jmesnil Jeff Mesnil
                  Reporter:
                  jmesnil Jeff Mesnil
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: